Skip to main content
GET
Get job by ID
This endpoint allows you to retrieve the details of a job that you have created, including the results if the job is completed.
Job output is deleted 24 hours after job completion
  • The output field contains the job results and is only available when the job status is succeeded.
  • Retrieve and store any output that you need before it is deleted.
  • See Data retention for the full policy.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

jobId
string
required

Job ID to track the progress

Response

jobId
string

Job ID to track the progress or get the results

Example:

"fb16c565-f3f0-4402-a08c-9d44df0ccc7b"

status
enum<string>

Status of the job

Available options:
pending,
created,
succeeded,
canceled,
failed,
running
createdAt
string<date-time>

Date and time the job was created

Example:

"2024-02-20T12:00:00Z"

updatedAt
string<date-time>

Date and time the job was last updated

Example:

"2024-02-20T12:00:00Z"

output
object

Output segments of a diarization, available for 24 hours after job completion